Results 1 to 3 of 3

Thread: uclibc-opt missing 'libext2fs.so.2'

  1. #1
    Join Date
    Jan 2007
    Location
    The Netherlands
    Posts
    244

    Question uclibc-opt missing 'libext2fs.so.2'

    Hi,

    I'm busy testing my upgraded K.C.Furge 1.0.7.8 firmware. Just for fun I had installed mc (midnight commander). It ran.
    I have followed two different upgrade-paths, because after the first try my MC did not run anymore. It says: mc: can't load library 'libext2fs.so.2'
    I have found that libext2fs belongs to uclibc-opt, or at least, I find libext2fs in my old saved OPT_DO_NOT_LOAD in /lib
    All my tries end with ipkg update and ipkg upgrade.
    Now this upgrades uclibc-opt from 0.9.28-12 to 0.9.28-13. This new uclibc appears to miss the libe*. I still can't run mc, and I suspect the new uclibc-opt.

    Can anyone with package uclibc-opt 0.9.28-12 tell me if it actually contains libext2fs.so.2? (ipkg files uclibc-opt | grep libe)

    Thanks!
    Marc

  2. #2
    Join Date
    Aug 2007
    Location
    Moscow, Russia
    Posts
    976
    Quote Originally Posted by mumsoft View Post
    Hi,

    I'm busy testing my upgraded K.C.Furge 1.0.7.8 firmware. Just for fun I had installed mc (midnight commander). It ran.
    I have followed two different upgrade-paths, because after the first try my MC did not run anymore. It says: mc: can't load library 'libext2fs.so.2'
    I have found that libext2fs belongs to uclibc-opt, or at least, I find libext2fs in my old saved OPT_DO_NOT_LOAD in /lib
    All my tries end with ipkg update and ipkg upgrade.
    Now this upgrades uclibc-opt from 0.9.28-12 to 0.9.28-13. This new uclibc appears to miss the libe*. I still can't run mc, and I suspect the new uclibc-opt.

    Can anyone with package uclibc-opt 0.9.28-12 tell me if it actually contains libext2fs.so.2? (ipkg files uclibc-opt | grep libe)

    Thanks!
    Marc
    Perhaps this will help you:
    http://wl500g.info/showthread.php?t=13029

  3. #3
    Join Date
    Jan 2007
    Location
    The Netherlands
    Posts
    244

    Red face But why?

    Quote Originally Posted by Serge_K View Post
    Perhaps this will help you:
    http://wl500g.info/showthread.php?t=13029
    Thanks, this might resolve this problem, but I'd rather know why these libs are gone in the first place, just after ipkg upgrade. They are there before, and gone afterwards. What is the cause????

    with ipkg files e2fslibs i get, both before and after re-installing:
    Package e2fslibs (1.40.3-4) is installed on /opt/ and has the following files:

    Successfully terminated.

    Quite informative...
    Meanwhile it has reinstalled several libe* in /opt/lib
    I see ipkg install -force-reinstall e2fslibs as a workaround, but for what?

    Marc

Similar Threads

  1. Русские имена торрентов
    By Mirage-net in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 110
    Last Post: 18-06-2010, 15:16
  2. libext2fs.so.2 + mc
    By sarlacc in forum WL-500gP Firmware Discussion
    Replies: 5
    Last Post: 27-07-2008, 15:52
  3. 1.9.2.7-8 и пустой opt
    By xxx in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 10
    Last Post: 30-01-2008, 23:10
  4. uClibc is not found
    By MoD in forum WL-700g Firmware Discussion
    Replies: 12
    Last Post: 03-01-2007, 23:07

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •